[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Themes' (#lcl)

# TThemeServices.PaintBorder

Default painting method for the borders for a control.

## Declaration

Source position: themes.pas line 503

`public procedure TThemeServices.PaintBorder(`
`Control: TObject;`
`EraseLRCorner: Boolean`
`); virtual;`

## Description

PaintBorder has an empty implementation in TThemeServices. It must be overridden in a descendent class to use the native border drawing style for the widgetset.